Subject: bug#76769: 31.0.50; marking inconsistency between VC-Dir and dired-vc-next-action

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Mar 2025 10:01:31 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: Sean Whitton <[email-masked]>
> Date: Thu, 06 Mar 2025 11:56:59 +0800
> 
> I think that for all the operations VC supports, passing a whole
> directory along with some of the files in it is semantically equivalent
> to just passing the whole directory.  If would have to be an esoteric,
> highly VCS-specific operation to do anything other than that, I think?

Are you sure this is true for all the supported VCSes?  AFAIR, some of
them considered directories in special ways, others ignored them.  We
shouldn't design new VC features by looking at just one VCS.